package cn.iocoder.yudao.module.bpm.api.oa;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.bpm.api.oa.vo.leave.BpmOALeaveRpcVO;
import cn.iocoder.yudao.module.bpm.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 流程实例")
public interface BpmOALeaveApi {

    String PREFIX = ApiConstants.PREFIX + "/oa/leave";


    @PostMapping(PREFIX + "/getLeaveListByIds")
    @Operation(summary = "根据请假ids获取请假列表")
    CommonResult<List<BpmOALeaveRpcVO>> getLeaveListByIds(@RequestBody List<Long> ids);

}
