package cn.iocoder.yudao.module.bpm.api.oa;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.bpm.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 补卡申请")
public interface BpmOAReplacementCardApi {

    String PREFIX = ApiConstants.PREFIX + "/oa/replacement-card";

    @GetMapping(PREFIX + "/getPunchRecordIds")
    @Operation(summary = "获取当前用户正在处理中补卡申请的需补卡编号")
    CommonResult<List<Long>> getPunchRecordIds();
}
