package cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.process;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - 流程定义的 ScopeVO")
@Data
public class DefinitionScopeVO {

    @Schema(description = "流程定义的编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    @NotNull(message = "流程定义的编号不能为空")
    private String processDefinitionId;

    @Schema(description = "使用权限范围 | 1全员 2指定部门 3指定用户", example = "1")
    private Integer dataScope;

    @Schema(description = "使用权限范围 | 指定部门编号数组", example = "1,2,3")
    private List<Long> dataScopeDeptIds;

    @Schema(description = "使用权限范围 | 指定用户编号数组", example = "1,2,3")
    private List<Long> dataScopeUserIds;
}
