package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.attachment;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 功能描述 补充附件请求类
 *
 * @author: yj
 * @date: 2025年06月26日 14:41
 */
@Schema(description = "管理后台 - 补充附件 Request VO")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class BpmOAAttachmentReqVO {

    @Schema(description = "流程业务ID", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "流程业务ID")
    private Long processBusinessId ;

    @Schema(description = "流程类型", requiredMode = Schema.RequiredMode.REQUIRED)
    private String processType;

    @Schema(description = "上传文件(包括历史的附件)", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;

}

