package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.businessCard;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 名片定制 创建 Request VO
 *
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 名片定制 Request VO")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class BpmOABusinessCardCreateReqVO {

    @Schema(description = "中文名", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "中文名不能为空")
    private String chineseName;

    @Schema(description = "英文名")
    private String englishName;

    @Schema(description = "公司名称", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "公司名称不能为空")
    private String companyName;

    @Schema(description = "岗位名称")
    private String postName;

    @Schema(description = "电话号码")
    private String phoneNumber;

    @Schema(description = "邮箱")
    private String email;

    @Schema(description = "数量")
    private Integer number;

    @Schema(description = "流程实例编号")
    private String processInstanceId;

    @Schema(description = "状态-参见 bpm_process_instance_result 枚举", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer result;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;
}
