package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.contract;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Schema(description = "管理后台 - 合同审批分页 Request VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class BpmOAContractPageReqVO extends PageParam {

    @Schema(description = "合同类型 | 字典值 bpm_oa_contract_type", example = "1")
    private Integer contractType;

    @Schema(description = "客户名称，模糊匹配")
    private String customerName;

    @Schema(description = "合同名称，模糊匹配")
    private String contractName;

    @Schema(description = "合同编号")
    private String contractNo;

    @Schema(description = "审批结果")
    private Integer result;

    @Schema(description = "合同状态", example = "1")
    private Integer status;

    @Schema(description = "签约人名称")
    private String signatoryName;

    @Schema(description = "创建人名称")
    private String createName;

    @Schema(description = "查询模式")
    private String relation;
}
