package cn.iocoder.yudao.module.bpm.controller.admin.processmapping.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 流程映射配置分页 Request VO
 *
 * @author 系统
 */
@Schema(description = "管理后台 - 流程映射配置分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmProcessMappingConfigPageReqVO extends PageParam {

    @Schema(description = "流程代码", example = "ORDER")
    private String processCode;

    @Schema(description = "流程名称", example = "订单流程")
    private String processName;

    @Schema(description = "表名", example = "order_info")
    private String tableName;

    @Schema(description = "实体类", example = "com.example.order.OrderDO")
    private String entityClass;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

} 