package cn.iocoder.yudao.module.bpm.dal.dataobject.processmapping;

import cn.iocoder.yudao.framework.tenant.core.db.TenantBaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 流程映射配置 DO
 *
 * @author 系统
 */
@TableName("bpm_process_mapping_config")
@KeySequence("bpm_process_mapping_config_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmProcessMappingConfigDO extends TenantBaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;

    /**
     * 流程唯一标识(如:ORDER,PAYMENT)
     */
    private String processCode;

    /**
     * 流程显示名称
     */
    private String processName;

    /**
     * 物理表名(如:order_info)
     */
    private String tableName;

    /**
     * 实体类全限定名(如:com.example.order.OrderDO)
     */
    private String entityClass;

    /**
     * Mapper接口全限定名(如:com.example.order.OrderMapper)
     */
    private String mapperClass;

    /**
     * 流程描述
     */
    private String description;

} 