package cn.iocoder.yudao.module.bpm.dal.mysql.oa;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.workorder.BpmOAWorkOrderTrackInfo;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.workorder.BpmOAWorkOrderTrackReqDTO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAWorkOrderTrackDO;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * BPM OA 工单跟踪记录 Mapper
 *
 * @author 系统
 */
@Mapper
public interface BpmOAWorkOrderTrackMapper extends BaseMapperX<BpmOAWorkOrderTrackDO> {

    /**
     * 根据工单ID查询跟踪记录列表
     */
    default List<BpmOAWorkOrderTrackDO> selectByWorkOrderId(Long workOrderId) {
        return selectList(new LambdaQueryWrapperX<BpmOAWorkOrderTrackDO>()
                .eq(BpmOAWorkOrderTrackDO::getWorkOrderId, workOrderId)
                .orderByAsc(BpmOAWorkOrderTrackDO::getCreateTime));
    }

}
