package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.project.BpmOAProjectCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAProjectDO;

import javax.validation.Valid;

public interface BpmOAProjectService {

    /**
     * 创建转正申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createProject(Long userId, @Valid BpmOAProjectCreateReqVO createReqVO);

    /**
     * 更新转正申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateProjectResult(String processInstanceId, Long id, Integer result);

    /**
     * 获得转正申请
     *
     * @param id 编号
     * @return 转正申请
     */
    BpmOAProjectDO getProject(Long id);

    /**
     * 获得指定的转正申请
     * @param processInstanceId 流程实例编号
     * @return 转正申请
     */
    BpmOAProjectDO getByProcessInstanceId(String processInstanceId);
}
