package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAFinanceService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAFinanceServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 活动经费申请单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAFinanceResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOAFinanceService financeService;

    @Override
    protected String getProcessDefinitionKey() {
        return BpmOAFinanceServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        financeService.updateFinanceResult(event.getId(), Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
