package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOASalaryAdjustmentService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOASalaryAdjustmentServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 用章单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOASalaryAdjustmentResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOASalaryAdjustmentService SalaryAdjustmentService;

    @Override
    protected String getProcessDefinitionKey() {

        return BpmOASalaryAdjustmentServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        SalaryAdjustmentService.updateSalaryAdjustmentResult(Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
