package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOASalaryService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOASalaryServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 用章单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOASalaryResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOASalaryService SalaryService;

    @Override
    protected String getProcessDefinitionKey() {

        return BpmOASalaryServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        SalaryService.updateSalaryResult(event.getId(), Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
