package cn.iocoder.yudao.module.crm.dal.dataobject.salesperformanceweight;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 销售业绩权重设置 DO
 *
 * @author 艾楷
 */
@TableName("crm_sales_performance_weight")
@KeySequence("crm_sales_performance_weight_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SalesPerformanceWeightDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 销售权重%
     */
    private BigDecimal saleWeight;
    /**
     * 回款权重%
     */
    private BigDecimal paymentWeight;
    /**
     * 评分权重%
     */
    private BigDecimal scoreWeight;

}