package cn.iocoder.yudao.module.crm.service.salesperformanceassessment;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.crm.controller.admin.salesperformanceassessment.vo.SalesPerformanceAssessmentPageReqVO;
import cn.iocoder.yudao.module.crm.controller.admin.salesperformanceassessment.vo.SalesPerformanceAssessmentSaveReqVO;
import cn.iocoder.yudao.module.crm.dal.dataobject.salesperformanceassessment.SalesPerformanceAssessmentDO;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.validation.Valid;

/**
 * 绩效考核设置 Service 接口
 *
 * @author 艾楷
 */
public interface SalesPerformanceAssessmentService extends IService<SalesPerformanceAssessmentDO> {

    /**
     * 创建绩效考核设置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSalesPerformanceAssessment(@Valid SalesPerformanceAssessmentSaveReqVO createReqVO);

    /**
     * 更新绩效考核设置
     *
     * @param updateReqVO 更新信息
     */
    void updateSalesPerformanceAssessment(@Valid SalesPerformanceAssessmentSaveReqVO updateReqVO);

    /**
     * 删除绩效考核设置
     *
     * @param id 编号
     */
    void deleteSalesPerformanceAssessment(Long id);

    /**
     * 获得绩效考核设置
     *
     * @param id 编号
     * @return 绩效考核设置
     */
    SalesPerformanceAssessmentDO getSalesPerformanceAssessment(Long id);

    /**
     * 获得绩效考核设置分页
     *
     * @param pageReqVO 分页查询
     * @return 绩效考核设置分页
     */
    PageResult<SalesPerformanceAssessmentDO> getSalesPerformanceAssessmentPage(SalesPerformanceAssessmentPageReqVO pageReqVO);

}
