package cn.iocoder.yudao.module.infra.controller.admin.file.vo.file;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 分片上传完成响应 VO
 *
 * @author AI Assistant
 */
@Schema(description = "管理后台 - 分片上传完成响应")
@Data
public class MultipartUploadCompleteResponse {

    @Schema(description = "对象名称", example = "user_152/dd0dbc41-b335-4dfa-93b4-0f819cf8710f_example.zip")
    private String objectName;

    @Schema(description = "文件访问URL", example = "http://10.10.2.3:9000/user-uploads/user_152/example.zip")
    private String fileUrl;

    @Schema(description = "文件大小（字节）", example = "1073741824")
    private Long fileSize;

    @Schema(description = "ETag", example = "\"9bb58f26192e4ba00f01e2e7b136bbd8\"")
    private String etag;

} 