package cn.iocoder.yudao.module.system.api.notice;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.api.notice.dto.NoticeDTO;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 公告")
public interface NoticeApi {

    String PREFIX = ApiConstants.PREFIX + "/notice";

    @PostMapping(PREFIX + "/count")
    @Operation(summary = "获取数量")
    CommonResult<Long> count(@Valid @RequestBody NoticeDTO noticeDTO);

}
