package cn.iocoder.yudao.module.system.api.rental.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 租赁物品记录新增/修改 Request VO")
@Data
public class RentalItemsRecordDTO {

    @Schema(description = "租赁订单表单主键")
    private Long id;

    @Schema(description = "订单编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "订单编号不能为空")
    private String orderNo;

    @Schema(description = "租赁物品种类 | 字典值参考 system_rental_items_type", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "租赁物品种类不能为空")
    private Integer rentalItemsType;

    @Schema(description = "租赁数量", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "租赁数量不能为空")
    private Integer number;

    @Schema(description = "类型 | 1租借 2归还", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "类型不能为空")
    private Integer type;

}