package cn.iocoder.yudao.module.system.api.supplier.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - OA供应商商品新增/修改 Request VO")
@Data
public class SupplierProductRpcDTO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6113")
    private Long id;

    @Schema(description = "供应商id", example = "19964")
    private Long supplierId;

    @Schema(description = "资产类型id", example = "1358")
    private Long assetsTypeId;

    @Schema(description = "资产名称", example = "赵六")
    private String assetsName;

    @Schema(description = "单位")
    private String util;

    @Schema(description = "型号")
    private String model;

    @Schema(description = "价格", example = "23614")
    private BigDecimal price;

    @Schema(description = "备注")
    private String remarks;

}
