package cn.iocoder.yudao.module.system.api.supplier.dto;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - 供应商列表(OA已审核通过后插入)新增/修改 Request VO")
@Data
public class SupplierRpcDTO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "17010")
    private Long id;

    @Schema(description = "供应商名称", example = "赵六")
    private String supplierName;

    @Schema(description = "联系方式(手机号)")
    private String phone;

    @Schema(description = "联系人")
    private String contactPerson;

    @Schema(description = "公司地址")
    private String companyAddress;

    @Schema(description = "营业执照编号")
    private String businessLicenseNo;

    @Schema(description = "结算日")
    private String settlementDate;

    @Schema(description = "结算方式(字典值)")
    private Integer settlementMethod;

    @Schema(description = "公司账号(银行卡号)", example = "7431")
    private String companyAccount;

    @Schema(description = "银行开户行")
    private String bankAccountOpeningBank;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;

    @Schema(description = "申请结果", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "申请结果不能为空")
    private Integer result;

    @Schema(description = "备注", requiredMode = Schema.RequiredMode.REQUIRED)
    private String remark;

    @Schema(description = "流程实例的编号", example = "13296")
    private String processInstanceId;

    @Schema(description = "供应商商品表")
    List<SupplierProductRpcDTO> items;
}
