package cn.iocoder.yudao.module.system.api.workovertime.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class WorkOvertimeMoreRuleApiVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "13083")
    private Long id;

    @Schema(description = "加班规则id", example = "20044")
    private Long ruleId;

    @Schema(description = "加班时长单位 1小时 2天")
    private Integer unit;

    @Schema(description = "是否需要取整 0不取整 1向下取整", example = "2")
    private Integer roundingType;

    @Schema(description = "取整递增值")
    private BigDecimal roundingIncrementalValue;

    @Schema(description = "日折算时长 n小时 = 一天 ")
    private BigDecimal conversion;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

    @Schema(description = "更多规则拓展列表")
    private List<WorkOvertimeMoreRuleExtApiVO> moreRuleExtList;
}
