package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 工厂员工打卡记录新增/修改 Request VO")
@Data
public class AttendanceFactoryPunchRecordSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "20527")
    private Long id;

    @Schema(description = "考勤用户id", example = "10616")
    private Long userId;

    @Schema(description = "部门id", example = "5051")
    private Long deptId;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "32372")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "设备序列号(考勤机打卡有)")
    private String sn;

    @Schema(description = "日期yyyy-MM-dd格式 (实际是哪一天)")
    private String actualDayTime;

    @Schema(description = "打卡时间")
    private LocalDateTime punchTime;

    @Schema(description = "图片")
    private String image;

}
