package cn.iocoder.yudao.module.system.controller.admin.customersettlement.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 客户结算信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerSettlementPageReqVO extends PageParam {

    @Schema(description = "客户id", example = "11477")
    private Long customerId;

    @Schema(description = "业务类型（1：物流辅助服务、2：设备销售、 3：设备维护、4：系统集成、5：叉车改造）", example = "1")
    private Integer businessType;

    @Schema(description = "结算月份")
    private String[] settlementMonth;

    @Schema(description = "结算公司id", example = "3044")
    private Long companyId;

}