package cn.iocoder.yudao.module.system.controller.admin.holiday.holidayworkingage.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 假期额度工龄配置分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class HolidayWorkingAgePageReqVO extends PageParam {

    @Schema(description = "假期设置id", example = "12675")
    private Long holidaySettingId;

    @Schema(description = "假期余额设置id", example = "153")
    private Long holidayBalanceSettingId;

    @Schema(description = "工龄 0表示小于1年 1表示大于等于1年 以此类推")
    private Integer years;

    @Schema(description = "年假天数")
    private Integer num;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
