package cn.iocoder.yudao.module.system.controller.admin.hr.vo.payslip;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Schema(description = "管理后台 - 工资条分页 Request VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class PayslipPageReqVO extends PageParam {

    @Schema(description = "用户账号，模糊匹配", example = "yudao")
    private String name;

    @Schema(description = "公司部门编号，同时筛选子部门", example = "1024")
    private Long deptId;

    @Schema(description = "薪资日期 | yyyy-MM", example = "2024-10")
    private String date;
}
