package cn.iocoder.yudao.module.system.controller.admin.hr.vo.type;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 工资配置 Request VO")
@Data
public class SalaryTypeItemCreateReqVO {

    @Schema(description = "编号", example = "1")
    private Long id;

    @Schema(description = "类型编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "类型编号不能为空")
    private Long typeId;

    @Schema(description = "编码", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "编码不能为空")
    private String code;

    @Schema(description = "名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "名称不能为空")
    private String name;

    @Schema(description = "描述", example = "1")
    private String itemDescribe;

    @Schema(description = "加减属性 | 1加 2减", example = "1")
    private Integer attributes;
}
