package cn.iocoder.yudao.module.system.controller.admin.workovertime.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 加班规则（更多规则） Response VO")
@Data
@ExcelIgnoreUnannotated
public class WorkOvertimeMoreRuleRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "13083")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "加班规则id", example = "20044")
    @ExcelProperty("加班规则id")
    private Long ruleId;

    @Schema(description = "加班时长单位 1小时 2天")
    @ExcelProperty("加班时长单位 1小时 2天")
    private Integer unit;

    @Schema(description = "是否需要取整 0不取整 1向下取整", example = "2")
    @ExcelProperty("是否需要取整 0不取整 1向下取整")
    private Integer roundingType;

    @Schema(description = "取整递增值")
    @ExcelProperty("取整递增值")
    private BigDecimal roundingIncrementalValue;

    @Schema(description = "日折算时长 n小时 = 一天 ")
    @ExcelProperty("日折算时长 n小时 = 一天 ")
    private BigDecimal conversion;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "更多规则拓展列表")
    private List<WorkOvertimeMoreRuleExtRespVO> moreRuleExtList;
}
