package cn.iocoder.yudao.module.system.controller.admin.workovertime.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 加班规则 Response VO")
@Data
@ExcelIgnoreUnannotated
public class WorkOvertimeRuleRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "32262")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "规则名称", example = "张三")
    @ExcelProperty("规则名称")
    private String ruleName;

    @Schema(description = "引用范围考勤组ids")
    @ExcelProperty("引用范围考勤组ids")
    private String attendanceGroupIds;

    @Schema(description = "负责人", example = "3784")
    @ExcelProperty("负责人")
    private Long leaderUserId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "加班规则子表")
    private List<WorkOvertimeRuleItemRespVO> workOvertimeRuleItems;

    @Schema(description = "更多规则")
    private WorkOvertimeMoreRuleRespVO moreRule;

}
