package cn.iocoder.yudao.module.system.dal.dataobject.assetreceive;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDate;

/**
 * 资产领用 DO
 *
 * @author 符溶馨
 */
@TableName("system_asset_receive")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssetReceiveDO extends BaseDO {

    /**
     * 资产领用表单主键
     */
    @TableId
    private Long id;
    /**
     * 领用人的用户编号
     */
    private Long userId;
    /**
     * 领用人的部门编号
     */
    private Long deptId;
    /**
     * 分配人的用户编号
     */
    private Long receiveUserId;
    /**
     * 资产编号
     */
    private String assetsNo;
    /**
     * 资产名称
     */
    private String assetsName;
    /**
     * 资产类型编号
     */
    private Long assetsTypeId;
    /**
     * 资产类型名称
     */
    private String assetsTypeName;
    /**
     * 数量
     */
    private Integer num;
    /**
     * 申请日期
     */
    private LocalDate applyDate;
    /**
     * 分配日期
     */
    private LocalDate allocationDate;
    /**
     * 领用状态 | 0待领用 1采购中 2已领用 
     */
    private Integer status;
    /**
     * 附件信息
     */
    private String fileItems;

}