package cn.iocoder.yudao.module.system.dal.dataobject.forklifttemporarytable;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 工厂叉车资产（excel 临时表） DO
 *
 * @author 艾楷
 */
@TableName("zc_forklift_temporary_table")
@KeySequence("zc_forklift_temporary_table_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ForkliftTemporaryTableDO extends BaseDO {

    /**
     * 编号
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 叉车编号
     */
    private String carNo;
    /**
     * 品牌
     */
    private String brand;
    /**
     * 资产类型
     */
    private String type;
    /**
     * 规格
     */
    private String sku;
    /**
     * 设别编号
     */
    private String equipmentNo;
    /**
     * 出厂编号
     */
    private String factoryNo;
    /**
     * 铭牌日期
     */
    private String nameplateTime;
    /**
     * 车牌
     */
    private String licensePlate;
    /**
     * 状态
     */
    private String status;
    /**
     * 投入使用月份
     */
    private String monthOfUse;
    /**
     * 工厂名称
     */
    private String factoryName;
    /**
     * 备注
     */
    private String remark;

}
