package cn.iocoder.yudao.module.system.dal.dataobject.workovertime;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.*;
import lombok.*;

import java.util.List;

/**
 * 加班规则 DO
 *
 * @author 艾楷
 */
@TableName("kq_work_overtime_rule")
@KeySequence("kq_work_overtime_rule_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WorkOvertimeRuleDO extends BaseDO {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 规则名称
     */
    private String ruleName;
    /**
     * 负责人
     */
    private Long leaderUserId;

    /**
     * 引用范围考勤组ids
     */
    @TableField(exist = false)
    private String attendanceGroupIds;
    /**
     * 负责人名称
     */
    @TableField(exist = false)
    private String leaderUserName;

    /**
     * 加班规则子表
     */
    @TableField(exist = false)
    private List<WorkOvertimeRuleItemDO> workOvertimeRuleItems;

    /**
     * 更多规则
     */
    @TableField(exist = false)
    private WorkOvertimeMoreRuleDO moreRule;
}
