package cn.iocoder.yudao.module.system.service.holiday.holidayuser;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.holiday.holidayuser.vo.HolidayUserPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.holiday.holidayuser.vo.HolidayUserSaveReqVO;
import cn.iocoder.yudao.module.system.controller.admin.holiday.holidayuser.vo.HolidayUserVO;
import cn.iocoder.yudao.module.system.controller.admin.user.vo.user.UserPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.holiday.holidayuser.HolidayUserDO;

import javax.validation.Valid;

/**
 * 员工假期 Service 接口
 *
 * @author 艾楷
 */
public interface HolidayUserService {

    /**
     * 创建员工假期
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createHolidayUser(@Valid HolidayUserSaveReqVO createReqVO);

    /**
     * 更新员工假期
     *
     * @param updateReqVO 更新信息
     */
    void updateHolidayUser(@Valid HolidayUserSaveReqVO updateReqVO);

    /**
     * 删除员工假期
     *
     * @param id 编号
     */
    void deleteHolidayUser(Long id);

    /**
     * 获得员工假期
     *
     * @param id 编号
     * @return 员工假期
     */
    HolidayUserDO getHolidayUser(Long id);

    /**
     * 获得员工假期分页
     *
     * @param pageReqVO 分页查询
     * @return 员工假期分页
     */
    PageResult<HolidayUserDO> getHolidayUserPage(HolidayUserPageReqVO pageReqVO);

    /**
     * 获得员工假期动态列表
     * @return
     */
    HolidayUserVO getHolidayUserDynamic(UserPageReqVO userPageReqVO);
}
