package cn.iocoder.yudao.module.smartfactory.api.linefixedassets;


import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.smartfactory.api.linefixedassets.dto.LineFixedAssetsDTO;
import cn.iocoder.yudao.module.smartfactory.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 打包线固定资产服务")
public interface LineFixedAssetsApi {

    String PREFIX = ApiConstants.PREFIX + "/line-fixed-assets";


    @PostMapping(PREFIX + "/batchSave")
    @Operation(summary = "批量插入打包线固定资产")
    CommonResult<Boolean> batchSave(@RequestBody List<LineFixedAssetsDTO> dtoList);


}
