package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.vo;

import cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupuseramount.vo.HandlingGroupUserAmountItemVO;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Data
@ExcelIgnoreUnannotated
public class HandlingGroupAmountSpecificationsDetailsRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "9721")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "工厂id", example = "23178")
    private Long factoryId;

    @Schema(description = "工厂名称", example = "23178")
    private String factoryName;

    @Schema(description = "搬运组id", example = "23178")
    @ExcelProperty("搬运组id")
    private Long handlingGroupId;

    @Schema(description = "搬运组名称", example = "23178")
    @ExcelProperty("搬运组名称")
    private String handlingGroupName;

    @Schema(description = "叉车司机名称", example = "23178")
    @ExcelProperty("叉车司机名称")
    private String staffName;

    @Schema(description = "叉车司机id", example = "23178")
    @ExcelProperty("叉车司机id")
    private Long staffId;

    @Schema(description = "搬运规格id", example = "23178")
    @ExcelProperty("搬运规格id")
    private Long handlingSpecificationsId;

    @Schema(description = "搬运规格名称", example = "23178")
    @ExcelProperty("搬运规格名称")
    private String handlingSpecificationsName;

    @Schema(description = "数量", example = "15611")
    @ExcelProperty("数量")
    private Integer totalCount;

    @Schema(description = "日期 格式 yyyy-MM-dd")
    @ExcelProperty("日期 格式 yyyy-MM-dd")
    private String dateStr;

    @Schema(description = "总金额（根据规格和总量计算出 该搬运组获得的总金额）")
    @ExcelProperty("总金额（根据规格和总量计算出 该搬运组获得的总金额）")
    private BigDecimal amount;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;


    @Schema(description = "金额小计")
    @ExcelProperty("金额小计")
    private BigDecimal totalAmount;
    @Schema(description = "数量小计")
    @ExcelProperty("数量小计")
    private Integer totalNum;

    @Schema(description = "搬运工明细列表")
    private List<HandlingGroupUserAmountItemVO> handlingGroupUserAmountItemVOS;
}
