package cn.iocoder.yudao.module.smartfactory.controller.admin.staffcertificateinformation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 叉车员工证件信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class StaffCertificateInformationRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "9880")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "工厂员工id", example = "93")
    @ExcelProperty("工厂员工id")
    private Long staffId;

    @Schema(description = "工厂员工名称", example = "93")
    @ExcelProperty("工厂员工名称")
    private String staffName;

    @Schema(description = "身份证正面")
    @ExcelProperty("身份证正面")
    private String idCardFront;

    @Schema(description = "身份证反面")
    @ExcelProperty("身份证反面")
    private String idCardReverse;

    @Schema(description = "叉车证书")
    @ExcelProperty("叉车证书")
    private String forkliftCertificate;

    @Schema(description = "叉车年检信息")
    @ExcelProperty("叉车年检信息")
    private String forkliftAnnualInspection;

    @Schema(description = "年检过期时间")
    @ExcelProperty("年检过期时间")
    private LocalDateTime forkliftAnnualInspectionExpiredTime;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
